hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mayuresh <mayuresh.kshirsa...@gmail.com>
Subject Re: Error in hive - java.lang.RuntimeException: Could not load shims in class null
Date Mon, 08 Aug 2011 09:31:08 GMT
Ok. Debugged this further. The version of hadoop that is determined is: "*
0.20-append-r1056497*"

Obviously this doesn't match any of the versions given below and hence
fails. Is there a way to overcome this? Am I doing something wrong?

Thanks in advance.

Regards,
Mayuresh


On Mon, Aug 8, 2011 at 2:48 PM, Mayuresh <mayuresh.kshirsagar@gmail.com>wrote:

> Hi,
>
> I am using the CDH3u1 stack and My hive fails to load with the following
> error:
>
> </pre></p><p><b>root cause</b> <pre>java.lang.RuntimeException:
*Could not
> load shims in class null*
>     org.apache.hadoop.hive.shims.ShimLoader.createShim(ShimLoader.java:100)
>     org.apache.hadoop.hive.shims.ShimLoader.loadShims(ShimLoader.java:92)
>
> org.apache.hadoop.hive.shims.ShimLoader.getHadoopShims(ShimLoader.java:63)
>
> From the hive code (I dont have the cdh3 code) I see the following in
> ShimsLoader.java
>
>   static {
>     HADOOP_SHIM_CLASSES.put("*0.20*",
> "org.apache.hadoop.hive.shims.Hadoop20Shims");
>     HADOOP_SHIM_CLASSES.put("*0.20S*",
> "org.apache.hadoop.hive.shims.Hadoop20SShims");
>   }
>
> However when I do a version on hadoop it shows:
> hdfs@incube-lab-01:~$ hadoop version
> *Hadoop 0.20.2-cdh3u1*
> Subversion
> file:///tmp/nightly_2011-07-18_07-57-52_3/hadoop-0.20-0.20.2+923.97-1~lucid
> -r bdafb1dbffd0d5f2fbc6ee022e1c8df6500fd638
> Compiled by root on Mon Jul 18 09:40:01 PDT 2011
> From source with checksum 3127e3d410455d2bacbff7673bf3284c
>
> Is this creating a problem? Is there a way to overcome this? All the
> required shims jars are already present in the classpath.
> --
> -Mayuresh
>



-- 
-Mayuresh

Mime
View raw message